boundry.
RegionSydney, Australia
Documentation/Verify a domain
POST/domains/{domainId}/verify

Verify a domain

Authentication

Bearer authentication is required for this operation.

Path parameters

NameTypeDescription
domainIdrequiredstring

Domain identifier.

Request examples

request.sh
bash
curl --request POST 'https://api.au.boundry.dev/domains/string/verify' \
+  -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+

200 response

Verified domain identifier and status.

FieldTypeDescription
idrequiredstring

Verified domain identifier. Example: "msg_01j0example".

objectrequiredstring

Resource type discriminator. Values: "domain".

statusrequiredstring

Verification result. Values: "verified".

response.jsonExample response
application/json
{
  "domainId": "dom_01j0example"
}

401 response

Invalid API key.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "domainId": "dom_01j0example"
}

404 response

Domain not found.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "domainId": "dom_01j0example"
}

422 response

Request validation failed.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "domainId": "dom_01j0example"
}